
%global meadversion 1.0.7
%global namedversion 1.0.7.Final-redhat-00001
%global meadalpha .Final_redhat_00001
%global meadrel .1
%global serial 1
%global namedversionrel redhat-00001

%bcond_with javadoc
%bcond_without mead

%ifarch x86_64
%global platform %{_os}-%{_build_arch}
%else
%global platform %{_os}-i386
%endif

%global eap7_homedir %{_datadir}/wildfly

%{?scl:%scl_package wildfly-openssl}
%{!?scl:%global pkg_name %{name}}

%define maven_version 1.0.7.Final-redhat-00001

Name:           %{?scl_prefix}wildfly-openssl
Version:        %{meadversion}
Release:        %{serial}%{meadalpha}%{meadrel}%{?dist}
Epoch:          0
Summary:        Generic OpenSSL bindings for Java
Group:          Development/Java

%if %with mead
Source100: wildfly-openssl-parent-1.0.7.Final-redhat-00001-project-sources.tar.gz
Source102: wildfly-openssl-java-1.0.7.Final-redhat-00001.jar
Source103: wildfly-openssl-java-1.0.7.Final-redhat-00001.pom
Source104: wildfly-openssl-1.0.7.Final-redhat-00001.pom
Source105: wildfly-openssl-1.0.7.Final-redhat-00001.jar
Source106: wildfly-openssl-java-1.0.7.Final-redhat-00001-sources.jar
Source107: wildfly-openssl-parent-1.0.7.Final-redhat-00001.pom
Source108: wildfly-openssl-1.0.7.Final-redhat-00001-sources.jar
%endif

License:        ASL 2.0
URL:            https://github.com/wildfly/wildfly-openssl
Requires:       %{?scl_prefix_eap}wildfly-openssl-java >= %{epoch}:%{version}-%{release}
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{namedversion}-%{release}-root

%description
%{summary}.

%package -n %{?scl_prefix}wildfly-openssl-java
Summary:        Generic OpenSSL bindings for Java
Group:          Development/Java

BuildArch:      noarch

%description -n %{?scl_prefix}wildfly-openssl-java
%{summary}.

%if %with javadoc
%package javadoc
Summary:        Javadoc for wildfly-openssl
Group:          Development/Java

BuildRequires:  unzip
BuildArch:      noarch

%description javadoc
%{summary}.
%endif

%prep
%setup -q -n wildfly-openssl-parent-%{namedversion} -T -b 100

%build

%install
%{__rm} -rf %{buildroot}

# jars
%{__mkdir_p} %{buildroot}%{_javadir}
# XXX: The wildfly-openssl jar contains native binaries, but wildfly does not
# XXX: ship the jar, instead opting to unpack the jar for each native. I have
# XXX: been told that we cannot block the main package from shipping (which
# XXX: may or may not be true), so I have made the main package empty instead.
%if 0
%{__cp} -p %{_sourcedir}/wildfly-openssl-%{namedversion}.jar %{buildroot}%{_javadir}/wildfly-openssl-%{namedversion}.jar
%if %with javadoc
%{__cp} -p %{_sourcedir}/wildfly-openssl-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/wildfly-openssl-%{namedversion}-javadoc.jar
%endif
%{__cp} -p %{_sourcedir}/wildfly-openssl-%{namedversion}-sources.jar %{buildroot}%{_javadir}/wildfly-openssl-%{namedversion}-sources.jar
%endif
%{__cp} -p %{_sourcedir}/wildfly-openssl-java-%{namedversion}.jar %{buildroot}%{_javadir}/wildfly-openssl-java-%{namedversion}.jar
%if %with javadoc
%{__cp} -p %{_sourcedir}/wildfly-openssl-java-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/wildfly-openssl-java-%{namedversion}-javadoc.jar
%endif
%{__cp} -p %{_sourcedir}/wildfly-openssl-java-%{namedversion}-sources.jar %{buildroot}%{_javadir}/wildfly-openssl-java-%{namedversion}-sources.jar
(cd %{buildroot}%{_javadir} && for jar in *-%{namedversion}*; do %{__ln_s} ${jar} `/bin/echo ${jar} | %{__sed} -e "s|-%{namedversion}||g"`; done)

%if 0
%{__mkdir_p} %{buildroot}%{eap7_homedir}/modules/system/layers/base/org/wildfly/openssl/main/lib
%{__unzip} -d %{buildroot}%{eap7_homedir}/modules/system/layers/base/org/wildfly/openssl/main/lib -qqo %{_sourcedir}/wildfly-openssl-%{namedversion}.jar '%{platform}/libwfssl.so'
find %{buildroot}%{eap7_homedir} -type d | xargs %{__chmod} 775
%endif

%if %with javadoc
# javadoc
%{__mkdir_p} %{buildroot}%{_javadocdir}/wildfly-openssl-%{namedversion}
%{__unzip} -qq %{_sourcedir}/wildfly-openssl-%{namedversion}-javadoc.jar -d %{buildroot}%{_javadocdir}/wildfly-openssl-%{namedversion} -x META-INF/\*
%{__ln_s} wildfly-openssl-%{namedversion} %{buildroot}%{_javadocdir}/wildfly-openssl
%endif

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(0644,root,root,0755)

%files -n %{?scl_prefix}wildfly-openssl-java
%defattr(0644,root,root,0755)
%doc README.md RELEASING.md
%{_javadir}/wildfly-openssl-java-%{namedversion}.jar
%{_javadir}/wildfly-openssl-java.jar
%if %with javadoc
%{_javadir}/wildfly-openssl-java-%{namedversion}-javadoc.jar
%{_javadir}/wildfly-openssl-java-javadoc.jar
%endif
%{_javadir}/wildfly-openssl-java-%{namedversion}-sources.jar
%{_javadir}/wildfly-openssl-java-sources.jar

%if %with javadoc
%files javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/wildfly-openssl-%{namedversion}
%{_javadocdir}/wildfly-openssl
%endif

%changelog
* Mon Jul 08 2019 Yong Yang <yyang@redhat.com> - 1.0.7-1.Final_redhat_00001.1
- RPM wrapper build

* Tue Dec 04 2018 Yong Yang <yyang@redhat.com> - 1.0.6-4.Final_redhat_2.1
- Rewrap for EAP 7.2.0

* Tue Oct 23 2018 Yong Yang <yyang@redhat.com> - 1.0.6-3.Final_redhat_2.1
- 1.0.6.Final-redhat-2

* Thu Jun 14 2018 Permaine Cheung <pcheung@redhat.com> - 1.0.6-2.Final_redhat_1.1
- Rewrap for 7.2.0

* Thu May 17 2018 Vladimir Dosoudil <vdosoudi@redhat.com> - 1.0.6-1.Final_redhat_1.1
- upgrade to 1.0.6.Final-redhat-1

* Thu May 17 2018 Vladimir Dosoudil <vdosoudi@redhat.com> - 1.0.6-1.Final_redhat_1.1
- upgrade to 1.0.6.Final-redhat-1

* Mon Aug 21 2017 Martin Minar <mminar@redhat.com> - 1.0.2-1.Final_redhat_1.1
- upgrade to 1.0.2.Final-redhat-1

* Tue Aug 15 2017 Martin Minar <mminar@redhat.com> - 1.0.0-15.Final_redhat_1.1
- upgrade to 1.0.0.Final-redhat-1

* Tue Jun 27 2017 Petr Sakar <psakar@redhat.com> - 1.0.0-14.CR5_redhat_1.1
- upgrade to 1.0.0.CR5-redhat-1

* Wed May 31 2017 Martin Minar <mminar@redhat.com> - 1.0.0-13.CR3_redhat_2.1
- update to 1.0.0.CR3-redhat-2

* Tue May 23 2017 Martin Minar <mminar@redhat.com> - 1.0.0-12.CR3_redhat_1.1
- update to version 1.0.0.CR3

* Mon Apr 24 2017 Martin Minar <mminar@redhat.com> - 1.0.0-11.CR2_redhat_1.1
- version update to 1.0.0.CR2

* Wed Apr 05 2017 David Walluck <dwalluck@redhat.com> - 1.0.0-10.CR1_redhat_1.1
- BuildArch: noarch

* Tue Apr 04 2017 David Walluck <dwalluck@redhat.com> - 1.0.0-9.CR1_redhat_1.1
- empty main pkg

* Tue Apr 04 2017 Fernando Nasser <fnasser@redhat.com> - 1.0.0-8.CR1_redhat_1.1
- Build as arch

* Mon Apr 03 2017 David Walluck <dwalluck@redhat.com> - 1.0.0-7.CR1_redhat_1.1
- update permissions

* Mon Apr 03 2017 Petr Sakar <psakar@redhat.com> - 1.0.0-6.CR1_redhat_1.1
- upgrade to 1.0.0.CR1-redhat-1

* Tue Mar 28 2017 David Walluck <dwalluck@redhat.com> - 1.0.0-5.Beta7_redhat_1.1
- unpack libraries in main package

* Tue Mar 14 2017 Petr Sakar <psakar@redhat.com> - 1.0.0-4.Beta7_redhat_1.1
- upgrade to 1.0.0.Beta7-redhat-1

* Tue Feb 28 2017 Petr Sakar <psakar@redhat.com> - 1.0.0-3.Beta6_redhat_1.1
- upgrade to 1.0.0.Beta6-redhat-1

* Sun Jan 22 2017 Petr Sakar <psakar@redhat.com> - 1.0.0-2.Beta4_redhat_1.1
- upgrade to 1.0.0.Beta4-redhat-1

* Fri Dec 16 2016 David Walluck <dwalluck@redhat.com> - 1.0.0-1.Alpha6_redhat_1.1
- release
